Skip to main content
PATCH
/
api
/
brand-studio
/
garments
/
{garment_id}
Update Garment Endpoint
curl --request PATCH \
  --url https://api.example.com/api/brand-studio/garments/{garment_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "color_palette_json": "<string>",
  "designer_instructions": "<string>",
  "fabric_specs": "<string>",
  "garment_type": "shirt",
  "images": [
    {
      "asset_id": "<string>",
      "slot": "reference",
      "position": 0
    }
  ],
  "measurements_json": "<string>",
  "name": "<string>",
  "silhouette_notes": "<string>"
}
'
{
  "collection_id": "<string>",
  "created_at": "<string>",
  "garment_type": "shirt",
  "id": "<string>",
  "name": "<string>",
  "updated_at": "<string>",
  "color_palette_json": "<string>",
  "designer_instructions": "<string>",
  "fabric_specs": "<string>",
  "images": [],
  "measurements_json": "<string>",
  "position": 0,
  "share_token": "<string>",
  "silhouette_notes": "<string>"
}

Path Parameters

garment_id
string
required

Body

application/json
color_palette_json
string | null
designer_instructions
string | null
fabric_specs
string | null
garment_type
enum<string> | null
Available options:
shirt,
pants,
jacket,
dress,
skirt,
coat,
accessories,
other
images
GarmentImageRef · object[] | null
measurements_json
string | null
name
string | null
Required string length: 1 - 300
silhouette_notes
string | null

Response

Successful Response

collection_id
string
required
created_at
string
required
garment_type
enum<string>
required
Available options:
shirt,
pants,
jacket,
dress,
skirt,
coat,
accessories,
other
id
string
required
name
string
required
updated_at
string
required
color_palette_json
string | null
designer_instructions
string | null
fabric_specs
string | null
images
GarmentImageRef · object[]
measurements_json
string | null
position
integer
default:0
share_token
string | null
silhouette_notes
string | null